# Generated by Django 3.0.8 on 2020-09-03 12:22

from django.db import migrations, models
import django.db.models.deletion
import django.db.models.manager


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('patient_registration', '0005_auto_20200902_0518'),
    ]

    operations = [
        migrations.CreateModel(
            name='Module_name',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('value', models.CharField(max_length=200)),
            ],
        ),
        migrations.CreateModel(
            name='ReportType',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('value', models.CharField(max_length=200)),
            ],
        ),
        migrations.CreateModel(
            name='StartDiagnosis',
            fields=[
                ('acc_no', models.CharField(max_length=255, primary_key=True, serialize=False)),
                ('pathology_id', models.CharField(max_length=255, null=True)),
                ('patient_id', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='patient_registration.PatientRegistration')),
                ('report_type', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='general_report.ReportType')),
            ],
            options={
                'db_table': 'diagnosis_initiation',
            },
            managers=[
                ('pathologyid_manager', django.db.models.manager.Manager()),
            ],
        ),
        migrations.CreateModel(
            name='Sub_module',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('value', models.CharField(max_length=200)),
            ],
        ),
        migrations.CreateModel(
            name='GeneralReport',
            fields=[
                ('acc_no', models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, primary_key=True, serialize=False, to='general_report.StartDiagnosis')),
                ('clinical_data', models.TextField(null=True)),
                ('specimen', models.CharField(max_length=255, null=True)),
                ('macroscopy', models.TextField(null=True)),
                ('microscopy', models.TextField(null=True)),
                ('synoptic_stat', models.BooleanField(null=True)),
                ('module_name', models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, to='general_report.Module_name')),
                ('patient_id', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='patient_registration.PatientRegistration')),
                ('sub_module', models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, to='general_report.Sub_module')),
            ],
            options={
                'db_table': 'general_reports',
            },
        ),
    ]
